API Explorer 1 endpoints

Get Signal Channel Info

GET /obp/v7.0.0/signal-channels/CHANNEL_NAME/info

OBPv6.0.0-getSignalChannelInfo No role required AI-AgentSignal-Channel

Signal channels provide short-lived, Redis-backed messaging designed for AI agent discovery and coordination, but usable by any authenticated OBP consumer. Messages are ephemeral and will expire after the configured TTL (default 1 hour).

This endpoint returns metadata about a signal channel including the current message count and remaining TTL in seconds.

Authentication is Required.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

CHANNEL_NAME: CHANNEL_NAME

JSON response body fields (3)
channel_name
channel_name
message_count
message_count
ttl_seconds
ttl_seconds
Example success response
{
  "channel_name": "discovery",
  "message_count": 5,
  "ttl_seconds": 3500
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-10057: Invalid Signal Channel name. Signal Channel names must use only alphanumeric characters, dots, hyphens, and underscores, and be between 1 and 128 characters long.
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getSignalChannelInfo Originally /obp/v6.0.0/signal-channels/CHANNEL_NAME/info